Loading...
Searching...
No Matches
exceptions.hh File Reference
Common » Exception handling

A few common exception classes. More...

`#include <exception>`
`#include <string>`
`#include <sstream>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | Dune::Exception
| Base class for Dune-Exceptions. More...
struct | Dune::ExceptionHook
| Base class to add a hook to the Dune::Exception. More...
class | Dune::ExceptionStream< E >
| Class for extending a Dune::Exception with a stream interface. More...
class | Dune::IOError
| Default exception class for I/O errors. More...
class | Dune::MathError
| Default exception class for mathematical errors. More...
class | Dune::RangeError
| Default exception class for range errors. More...
class | Dune::NotImplemented
| Default exception for dummy implementations. More...
class | Dune::SystemError
| Default exception class for OS errors. More...
class | Dune::OutOfMemoryError
| Default exception if memory allocation fails. More...
class | Dune::InvalidStateException
| Default exception if a function was called while the object is not in a valid state for that function. More...
class | Dune::ParallelError
| Default exception if an error in the parallel communication of the program occurred. More...

## Namespaces

namespace | Dune
| Dune namespace

## Macros

#define | DUNE_THROW(E, ...)

## Functions

std::ostream & | Dune::operator<< (std::ostream &stream, const Exception &e)

## Detailed Description

A few common exception classes.

This file defines a common framework for generating exception subclasses and to throw them in a simple manner